class TimeCalculator
  def self.calculate(started_at)
    time_diff = (Time.now - started_at)
		minute_diff = (time_diff / 1.minute)
		hour_diff = (time_diff / 1.hour)
		day_diff = (time_diff / 1.day)
		month_diff = (time_diff / 1.month)
		year_diff = (time_diff / 1.year)

		minute = minute_diff.round
		hour = hour_diff.round
		day = day_diff.round
		month = month_diff.round
		year = year_diff.round
		if year_diff >= 1
			time = "#{year} years ago."
		elsif month_diff >= 1
			time = "#{month} months ago."
		elsif day_diff >= 1
			time = "#{day} days ago."
		elsif hour_diff >= 1
			time = "#{hour} hours ago."
		elsif minute_diff >= 1
			time = "#{minute} minutes ago."
		else
			time = "#{t 'just_now'}"
		end
		return time
  end
end
